SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000683SiT!otherpublic2009-05-02 11:332009-08-16 14:39
Reporterpaulh 
Assigned Toivan 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.50Fixed in Version3.50 
Summary0000683: user id as tinyint
DescriptionWe recently changes users.id to smallint (from tinyint) though we didn't change all the tables which link on this. This includes

incidents
sites
links
transactions
triggers
usergroups
userpermissions
usersoftware

Though does NOT include the following

updates - already int(11)
drafts - already int(11)
files - already int(11)
holidays - already int(11)
journal - already int(11)
notes - already int(11)
notices - already int(11)
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0001088)
ivan (administrator)
2009-05-20 14:23

All columns that store a user ID now use SMALLINT(6) giving us about 32000 possible users, should be enough for a while. svn trunk r5394

Some columns had previously used INT and some TINYINT this makes things more consistent, and as the updates table used INT it might even make things a tad more efficient.
User avatar (0001642)
ivan (administrator)
2009-08-16 14:39

Released in 3.50rc1

- Issue History
Date Modified Username Field Change
2009-05-02 11:33 paulh New Issue
2009-05-02 11:33 paulh Status new => assigned
2009-05-02 11:33 paulh Assigned To => paulh
2009-05-20 13:19 ivan Assigned To paulh => ivan
2009-05-20 14:23 ivan Note Added: 0001088
2009-05-20 14:23 ivan Status assigned => resolved
2009-05-20 14:23 ivan Resolution open => fixed
2009-05-20 14:23 ivan Fixed in Version => Current SVN
2009-08-16 13:16 ivan Fixed in Version Current SVN => 3.50
2009-08-16 14:39 ivan Note Added: 0001642
2009-08-16 14:39 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker